%global pkgname liberation-fonts-ttf
%global oname liberation-fonts
%global priority  59
%global fontname liberation
%global fontconf %{priority}-%{fontname}
%global archivename %{oname}-%{version}
%global catalogue %{_sysconfdir}/X11/fontpath.d
%global _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail
%global _fontconfig_confdir /etc/fonts/conf.d
%global _fontdir %{_datadir}/fonts/TTF/%{fontname}

Summary: Fonts to replace commonly used Microsoft Windows Fonts
Name: fonts-ttf-liberation
Version: 2.00.5
Release: %mkrel 2
License: OFL
Group: System/Fonts/True type
URL:	https://pagure.io/liberation-fonts/
Source0:          https://github.com/liberationfonts/liberation-fonts/files/2926167/%{archivename}.tar.gz
Source2:	liberation-fonts-mono.conf
Source3:	liberation-fonts-sans.conf
Source4:	liberation-fonts-serif.conf
Source6:          %{fontname}.metainfo.xml
Source7:          %{fontname}-mono.metainfo.xml
Source8:          %{fontname}-sans.metainfo.xml
Source9:          %{fontname}-serif.metainfo.xml
BuildArch: noarch
# chrome wants this (mga#23573)
Provides:      liberation-fonts
BuildRequires: mkfontdir
BuildRequires: mkfontscale
BuildRequires: ttmkfdir
# (lm) fontconfig.prov requires fc-query to provide font(:lang=ll) & font(name)
BuildRequires: fontconfig
BuildRequires: fontpackages-devel >= 1.13
BuildRequires: fontforge
BuildRequires: appstream-util
BuildRequires: python3
BuildRequires: python3-fonttools

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems: Times New Roman,
Arial, and Courier New.

%prep
%autosetup -n %{archivename}
# Fedora fix for https://bugzilla.redhat.com/show_bug.cgi?id=1526510
sed -i 's/OS2_UseTypoMetrics: 1/OS2_UseTypoMetrics: 0/g' src/*.sfd

sed -i 's|/usr/bin/env python|%{_bindir}/python2|' scripts/setisFixedPitch-fonttools.py

%build
%make_build
mv liberation-fonts-ttf-%{version}/* .

%install
# fonts .ttf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}
# catalogue
install -m 0755 -d %{buildroot}%{catalogue}
ln -s %{_fontdir} %{buildroot}%{catalogue}/%{name}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE6} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml
install -Dm 0644 -p %{SOURCE7} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE8} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-sans.metainfo.xml
install -Dm 0644 -p %{SOURCE9} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-serif.metainfo.xml

for fconf in %{fontconf}-mono.conf \
             %{fontconf}-sans.conf \
             %{fontconf}-serif.conf; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

# fonts.{dir,scale}
mkfontscale %{buildroot}%{_fontdir}
mkfontdir %{buildroot}%{_fontdir}

%check
appstream-util validate-relax --nonet \
        %{buildroot}%{_datadir}/appdata/%{fontname}*.metainfo.xml
%files
%doc ChangeLog
%license  LICENSE
%dir %{_datadir}/fonts/TTF/liberation
%{_datadir}/fonts/TTF/liberation/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/liberation/fonts.dir
%{_datadir}/fonts/TTF/liberation/fonts.scale
%{_sysconfdir}/X11/fontpath.d/fonts-ttf-liberation 
%{_fontconfig_confdir}/*
%{_fontconfig_templatedir}/*
%{_datadir}/appdata/liberation*.metainfo.xml


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 2.00.5-2.mga8
+ Revision: 1541787
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 luigiwalser <luigiwalser> 2.00.5-1.mga8
+ Revision: 1475395
- 2.00.5

* Mon Jan 14 2019 luigiwalser <luigiwalser> 2.00.4-1.mga7
+ Revision: 1356258
- 2.00.4

* Thu Sep 20 2018 umeabot <umeabot> 2.00.3-4.mga7
+ Revision: 1278257
- Mageia 7 Mass Rebuild

* Fri Sep 14 2018 tmb <tmb> 2.00.3-3.mga7
+ Revision: 1258973
- provide liberation-fonts (mga#23573)

* Sun Sep 02 2018 daviddavid <daviddavid> 2.00.3-2.mga7
+ Revision: 1256236
- fix dangling link (mga#23513)

* Wed Aug 22 2018 tv <tv> 2.00.3-1.mga7
+ Revision: 1253467
- BR fontpackages-devel for macro definitions
- add MetaInfo file for the software center
- resync conf files with FC
- modernize BS
- use %%license
- new release
- new URL

* Mon Feb 08 2016 umeabot <umeabot> 2.00.1-5.mga6
+ Revision: 948076
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.00.1-4.mga5
+ Revision: 743284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.00.1-3.mga5
+ Revision: 679276
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.00.1-2.mga4
+ Revision: 531720
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 2.00.1-1.mga4
+ Revision: 464756
- 2.00.1

* Sun Mar 24 2013 lmenut <lmenut> 2.00.0-3.mga3
+ Revision: 404759
- add fontconfig as BuildRequires to provide font(:lang=ll) & font(name)
- remove duplicated define fontname

* Fri Jan 11 2013 umeabot <umeabot> 2.00.0-2.mga3
+ Revision: 350694
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 21 2012 tv <tv> 2.00.0-1.mga3
+ Revision: 296514
- First upstream release with OFL license
- Added conf files with 59 priority (RH)

* Fri Mar 09 2012 tv <tv> 1.07.2-1.mga2
+ Revision: 222305
- new release

* Mon Jan 16 2012 dmorgan <dmorgan> 1.07.1-2.mga2
+ Revision: 197088
- Fix dead symlink ( ycheny)

* Wed Jan 04 2012 tv <tv> 1.07.1-1.mga2
+ Revision: 190218
- simplify build
- fix build
- new release
- new release

* Fri Jun 17 2011 ahmad <ahmad> 1.07.0-1.mga2
+ Revision: 108634
- Update to 1.07.0
- Drop patch1, fixed upstream

* Sun Mar 13 2011 boklm <boklm> 1.06.0-5.mga1
+ Revision: 70797
- rebuild for new rpm-mageia-setup

* Mon Jan 24 2011 dmorgan <dmorgan> 1.06.0-4.mga1
+ Revision: 37678
- Re enable buildrequires
  aka "Ooooops i did it again"
- Fix install
- Fix install
- Fix buildrequires
- Add missing macro
- Update to version 1.06.0 ( from fedora )

* Thu Jan 20 2011 pterjan <pterjan> 1.05.2-4.mga1
+ Revision: 25829
- Rebuild due to yesterday's BS breakage

* Thu Jan 20 2011 pterjan <pterjan> 1.05.2-3.mga1
+ Revision: 25077
- Require ttmkfdir instead of freetype-tools
- imported package fonts-ttf-liberation


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.05.2-3mdv2011.0
+ Revision: 605200
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.05.2-2mdv2010.1
+ Revision: 494151
- fc-cache is now called by an rpm filetrigger

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1.05.2-1mdv2010.1
+ Revision: 493789
- Update to new version 1.05.2.20091227

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.04-2mdv2009.1
+ Revision: 351079
- rebuild

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 1.04-1mdv2009.0
+ Revision: 276484
- Release 1.04
- Remove source1, integrated in tarball now

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0-2mdv2009.0
+ Revision: 220953
- rebuild

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0-1mdv2008.1
+ Revision: 180881
- Release 1.0 (fully hinted)

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.2-2mdv2008.1
+ Revision: 149817
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2-1mdv2008.0
+ Revision: 72692
- Update tarball to -3 release

* Fri Jul 06 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.1-3mdv2008.0
+ Revision: 49020
- fontpath.d conversion (#31756)

* Tue May 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1-2mdv2008.0
+ Revision: 29693
- New upstream tarball
- Fix license
- drop fontconfig dependency

* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1-1mdv2008.0
+ Revision: 26348
- Initial package
- Import fonts-ttf-liberation







* Sun Apr 29 2007 Funda Wang <fundawang@mandriva.org> 2.16-1mdv2008.0
+ Revision: 19133
- New upstream version 2.16

  + Mandriva <devel@mandriva.com>


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 2.15-2mdv2007.1
+ Revision: 144604
- drop huge status.txt file (853k of not useful character/version table)

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.15-1mdv2007.1
+ Revision: 125924
- new release

* Fri Jan 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.14-1mdv2007.1
+ Revision: 113950
- new release

* Mon Nov 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.12-1mdv2007.1
+ Revision: 85530
- new release

* Thu Nov 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.11-1mdv2007.1
+ Revision: 84975
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.10-1mdv2007.1
+ Revision: 66059
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.9-1mdv2007.0
+ Revision: 60114
- new release (fix cyrillic issue #25216)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 2.8-1mdv2007.0
+ Revision: 52886
- Normalize fonts with new paths
- import fonts-ttf-dejavu-2.8-1mdv2007.0

* Fri Jul 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.8-1mdv2007.0
- new release

* Fri Jul 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.7-1mdv2007.0
- new release

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6-1mdk
- new release

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5-1mdk
- Release 2.5 (fix ligature bug with latest pango)

* Tue Mar 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3-1mdk
- new release

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2-2mdk
- Never ship fonts.cache-2
- fix prereq

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1mdk
- new release

* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk
- fontconfig cache name has changed

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0-1mdk
- new release

* Wed Jul 27 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11-1mdk
- new release

* Thu May 26 2005 Abel Cheung <deaddog@mandriva.org> 1.10-1mdk
- New release 1.10

* Wed May 04 2005 Abel Cheung <deaddog@mandriva.org> 1.9-1mdk
- New release 1.9
- Mark attributes for various files

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7-1mdk
- new release

* Tue Nov 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-1mdk
- new release (merged with Owen & BePa fonts)
- fix package (enable to rebuild on version bumping)

* Tue Aug 10 2004 Robert Vojta <robert.vojta@mandrake.org> 1.1-2mdk
- README file added
- better description (based on the README file)

* Fri Aug 06 2004 Petr Spatka <petr.spatka@kamarad.cz> 1.1-1mdk
- Initial build. Based on fonts-ttf-vera.spec from Mandrake.
